# coding: utf-8
from django.core.urlresolvers import reverse
from django.utils.translation import ugettext_lazy as _
from django.conf import settings

from admin_tools.menu import items, Menu
from jmb.core.admin import menu as jmb_menu

# Let's register all applications
for app_name in settings.INSTALLED_APPS:
    if app_name.startswith('jmb'):
        try:
            __import__('%s.jmenu' % app_name, {}, {}, ())
        except ImportError:
            pass


class JumboMenu(Menu):
    def __init__(self, **kwargs):
        Menu.__init__(self, **kwargs)

        # ADMINISTRATION menu
        self.children += [
            items.MenuItem('Home', reverse('admin:index')),
        ]

        # CMS menu
        if settings.CMS_ENABLED:
            self.children += [
                items.MenuItem('CMS', reverse('admin:cms_page_changelist',)),
                items.MenuItem(_('File List'), reverse('admin:filer_folder_changelist')),
                items.MenuItem(_('Snippet List'), reverse('admin:snippet_snippet_changelist')),
            ]

        for menu in jmb_menu.registry.values():
            self.children.append(menu,)
