# -*- coding: utf-8 -*-

from base import *  # noqa
from settings import *  # noqa
ugettext = lambda s: s


CMS_LANGUAGES = {
    ## Customize this
    'default': {
        'public': True,
        'hide_untranslated': False,
        'redirect_on_fallback': True,
    },
    1: [
        {
            'public': True,
            'code': 'en',
            'hide_untranslated': False,
            'name': gettext('en'),
            'redirect_on_fallback': True,
        },
        {
            'public': True,
            'code': 'it',
            'hide_untranslated': False,
            'name': gettext('it'),
            'redirect_on_fallback': True,
        },
    ],
}

INSTALLED_APPS += (
    'cms',
    'mptt',
    'menus',
    'sekizai',
    'djangocms_admin_style',
    'djangocms_style',
    'djangocms_column',
    'djangocms_file',
    'djangocms_flash',
    'djangocms_googlemap',
    'djangocms_inherit',
    'djangocms_link',
    'djangocms_picture',
    'djangocms_teaser',
    'djangocms_video',
    'djangocms_snippet',
    'filer',
    'cmsplugin_filer_file',
    'cmsplugin_filer_folder',
    'cmsplugin_filer_image',
    'cmsplugin_filer_teaser',
    'cmsplugin_filer_video',
    #    'reversion',
    'easy_thumbnails',
    'tinymce',
    # 'jmb.cms.contact_form',
    # 'jmb.cms.ga_code',
    # 'jmb.cms.script',
    # 'jmb.cms.shortcut_icon',
)

MIDDLEWARE_CLASSES += (
    'cms.middleware.page.CurrentPageMiddleware',
    'cms.middleware.user.CurrentUserMiddleware',
    'cms.middleware.toolbar.ToolbarMiddleware',
)

TEMPLATE_CONTEXT_PROCESSORS += (
    'jmb.core.context_processors.cms_enabled',
    'cms.context_processors.media',
    'sekizai.context_processors.sekizai',
)

THUMBNAIL_PROCESSORS = (
    'easy_thumbnails.processors.colorspace',
    'easy_thumbnails.processors.autocrop',
    #'easy_thumbnails.processors.scale_and_crop',
    'filer.thumbnail_processors.scale_and_crop_with_subject_location',
    'easy_thumbnails.processors.filters',
)

CMS_TEMPLATES = (
    # ('column_left.html', 'Template w Column Left'),
    # ('column_right.html', 'Template w Column Right'),
    # ('central.html', 'Template w Center'),
    ('full.html', 'Template Full'),
    ('home.html', "Home Template"),
    # ('bootstrap_home.html', "Bootstrap Home Template"),
    # ('bootstrap_column_left.html', 'Bootstrap Template w Column Left'),
    # ('bootstrap_column_right.html', 'Bootstrap Template w Column Right'),
    # ('bootstrap_central.html', 'Bootstrap Template w Center'),
)

CMS_MENU_TITLE_OVERWRITE = True

CMS_SHOW_START_DATE = True
CMS_SHOW_END_DATE = True

CMS_SEO_FIELDS = True
# add Page Title, Meta Keywords and Meta Description editing


#CMS_FLAT_URLS = False
#
# (Default: False). If this is enabled the slugs are not nested in the urls.
# So a page with a “world” slug will have a “/world” url, even it is a child of
# the “hello” page. If disabled the page would have the url: “/hello/world/”

#CMS_SOFTROOT = False
#
# (Default: False). This adds a new “softroot” field to the “advanced settings”
# tab of the page. If a page is marked as softroot the menu will only display
# items until it finds the softroot. If you have a huge site you can easily
# partition the menu with this.

# CMS_PUBLIC_FOR =  False
#
# (Default: all) Decides if pages without any view restrictions are public
# by default or staff only. Possible values are all and staff.



# CMS_PUBLIC_FOR =  False
#
# (Default: all) Decides if pages without any view restrictions are public
# by default or staff only. Possible values are all and staff.


# CMS_MODERATOR = False
#
# (Default: False). If set to True, gives you a new “moderation” column in the tree view.
# You can select to moderate pages or whole trees. If a page is under moderation you
# will receive an email if somebody changes a page and you will be asked to approve the changes.
# Only after you approve the changes will they be updated on the “live” site. If you make
# changes to a page you moderate yourself, you will need to approve it anyway.
# This allows you to change a lot of pages for a new version of the site, for example,
# and go live with all the changes at the same time.

# placeholder configuration
CMS_PLACEHOLDER_CONF = {
    'head_extra_content': {
        'plugins': ('IconPlugin', 'GAPlugin', 'ScriptPlugin', 'SnippetPlugin'),
        'name': gettext("Head extra content"),
        'limits': {
            'IconPlugin': 1,
            'GAPlugin': 1,
            },
        },

    }

TINYMCE_DEFAULT_CONFIG = {
    'plugins': "table, spellchecker, paste, searchreplace",
    'theme': "advanced",
    'theme_advanced_buttons2' : "tablecontrols",
    'theme_advanced_buttons1' : "bold,italic,underline,separator,link,unlink,image,strikethrough,separator,bullist,numlist,separator,indent,outdent,separator,justifyleft,justifycenter,justifyright,justifyfull,separator,undo,redo,separator,formatselect,separator,search,replace,separator,code",
    'theme_advanced_buttons3' : "",
    'extended_valid_elements' : "a[name|href|target|title|onclick]",
    'cleanup_on_startup': True,
    'custom_undo_redo_levels': 10,
    'width': '93%',
    'height': '600px',
    }

#TINYMCE_FILEBROWSER = True

TINYMCE_SPELLCHECKER = True
TINYMCE_COMPRESSOR = True

MIGRATION_MODULES = {
    'filer': 'filer.migrations_django',
    'cms': 'cms.migrations_django',
    'menus': 'menus.migrations_django',
    'djangocms_text_ckeditor': 'djangocms_text_ckeditor.migrations_django',
    'djangocms_column': 'djangocms_column.migrations_django',
    'djangocms_flash': 'djangocms_flash.migrations_django',
    'djangocms_googlemap': 'djangocms_googlemap.migrations_django',
    'djangocms_inherit': 'djangocms_inherit.migrations_django',
    'djangocms_style': 'djangocms_style.migrations_django',
    'djangocms_file': 'djangocms_file.migrations_django',
    'djangocms_link': 'djangocms_link.migrations_django',
    'djangocms_picture': 'djangocms_picture.migrations_django',
    'djangocms_teaser': 'djangocms_teaser.migrations_django',
    'djangocms_video': 'djangocms_video.migrations_django',
    'djangocms_snippet': 'djangocms_snippet.migrations_django',
    'cmsplugin_filer_file': 'cmsplugin_filer_file.migrations_django',
    'cmsplugin_filer_folder': 'cmsplugin_filer_folder.migrations_django',
    'cmsplugin_filer_image': 'cmsplugin_filer_image.migrations_django',
    'cmsplugin_filer_link': 'cmsplugin_filer_link.migrations_django',
    'cmsplugin_filer_teaser': 'cmsplugin_filer_teaser.migrations_django',
    'cmsplugin_filer_video': 'cmsplugin_filer_video.migrations_django',
}
