import autocomplete_light
import admin_tools.dashboard
from django.views.generic import RedirectView
from django.conf.urls import url, include, patterns
from django.contrib import admin
from django.conf import settings
from django.contrib.staticfiles.urls import staticfiles_urlpatterns

from django.views import i18n, static
from django.contrib.sitemaps.views import sitemap
#autocomplete_light.autodiscover()
admin_tools.dashboard.autodiscover()

js_catalog_info = {
    'domain': 'djangojs',
    'packages': ('web',),
}
urlpatterns = [
    url(r'^admin/', include(admin.site.urls)),
    url(r'^admin_tools/', include('admin_tools.urls')),
    url(r'autocomplete/', include('autocomplete_light.urls')),
    url(r'^jsi18n/$', i18n.javascript_catalog, js_catalog_info),
]
# Default
if settings.CMS_ENABLED:
    from cms.sitemaps import CMSSitemap

    urlpatterns += [
        url(r'^sitemap.xml$', sitemap,
            {'sitemaps': {'cmspages': CMSSitemap}}),
        url(r'^', include('cms.urls')),
    ]
else:
    urlpatterns += [
        url('^$', RedirectView.as_view(url='/admin/', permanent=False)),
    ]

urlpatterns += staticfiles_urlpatterns()

if settings.DEBUG:
    urlpatterns = [
        url(r'^media/(?P<path>.*)$', static.serve,
            {'document_root': settings.MEDIA_ROOT, 'show_indexes': True}),
        url(r'', include('django.contrib.staticfiles.urls'),),
    ] + urlpatterns
